org.red5.io.object

## Class RecordSetPage

- java.lang.Object
- - org.red5.io.object.RecordSetPage

    public class RecordSetPage
    extends Object

Result of pageable request, one page of data.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  osflash.org documentation

### Constructor Summary

Constructors
Constructor and Description
`RecordSetPage(Input input)` Creates recordset page from Input object

### Method Summary

Methods
`protected int` `getCursor()` Getter for recordset cursor
`protected List<List<Object>>` `getData()` Getter for page data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordSetPage

    public RecordSetPage(Input input)

Creates recordset page from Input object

Parameters:
  `input` - Input object to use as source for data that has to be deserialized

### Method Detail

#### getCursor

    protected int getCursor()

Getter for recordset cursor

Returns:
  Recordset cursor

#### getData

    protected List<List<Object>> getData()

Getter for page data

Returns:
  Page data as unmodifiable list